> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://docs.simjuno.com/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs.simjuno.com/_mcp/server.

# Ticket Get

GET https://api.simjuno.com/v1/tickets/{id}

Get ticket by id

Reference: https://docs.simjuno.com/api-reference/tickets/ticket-get

## OpenAPI Specification

```yaml
openapi: 3.1.0
info:
  title: SimJuno API
  version: 1.0.0
paths:
  /tickets/{id}:
    get:
      operationId: ticket-get
      summary: Ticket Get
      description: Get ticket by id
      tags:
        - tickets
      parameters:
        - name: id
          in: path
          required: true
          schema:
            type: string
        - name: x-api-key
          in: header
          description: API key generated from the dashboard (Settings → API Keys).
          required: true
          schema:
            type: string
      responses:
        '200':
          description: Successful response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/tickets_ticket-get_Response_200'
        '400':
          description: Invalid input data
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/error.BAD_REQUEST'
        '401':
          description: Authorization not provided
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/error.UNAUTHORIZED'
        '403':
          description: Insufficient access
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/error.FORBIDDEN'
        '404':
          description: Not found
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/error.NOT_FOUND'
        '500':
          description: Internal server error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/error.INTERNAL_SERVER_ERROR'
servers:
  - url: https://api.simjuno.com/v1
    description: https://api.simjuno.com/v1
components:
  schemas:
    TicketsIdGetResponsesContentApplicationJsonSchemaTicketTicketStatus:
      type: string
      enum:
        - open
        - closed
        - resolved
      default: open
      title: TicketsIdGetResponsesContentApplicationJsonSchemaTicketTicketStatus
    TicketsIdGetResponsesContentApplicationJsonSchemaTicketTicket:
      type: object
      properties:
        id:
          type: string
        subject:
          type: string
        status:
          $ref: >-
            #/components/schemas/TicketsIdGetResponsesContentApplicationJsonSchemaTicketTicketStatus
        updated_at:
          type: string
        created_at:
          type: string
      required:
        - id
        - subject
        - status
        - updated_at
        - created_at
      title: TicketsIdGetResponsesContentApplicationJsonSchemaTicketTicket
    TicketsIdGetResponsesContentApplicationJsonSchemaTicketMessagesItemsAttachmentsItems:
      type: object
      properties:
        file_name:
          type: string
        file_url:
          type: string
        mime_type:
          type: string
      required:
        - file_name
        - file_url
        - mime_type
      title: >-
        TicketsIdGetResponsesContentApplicationJsonSchemaTicketMessagesItemsAttachmentsItems
    TicketsIdGetResponsesContentApplicationJsonSchemaTicketMessagesItems:
      type: object
      properties:
        id:
          type: string
        created_at:
          type: string
        ticket_id:
          type: string
        author_id:
          type: string
        author_name:
          type:
            - string
            - 'null'
        author_role:
          type:
            - string
            - 'null'
        body:
          type: string
        attachments:
          type: array
          items:
            $ref: >-
              #/components/schemas/TicketsIdGetResponsesContentApplicationJsonSchemaTicketMessagesItemsAttachmentsItems
        is_internal_note:
          type: boolean
      required:
        - id
        - created_at
        - ticket_id
        - author_id
        - author_name
        - author_role
        - body
      title: TicketsIdGetResponsesContentApplicationJsonSchemaTicketMessagesItems
    TicketsIdGetResponsesContentApplicationJsonSchemaTicketInternalNotesItems:
      type: object
      properties:
        id:
          type: string
        message:
          type: string
        created_at:
          type: string
        author_name:
          type: string
      required:
        - id
        - message
        - created_at
        - author_name
      title: >-
        TicketsIdGetResponsesContentApplicationJsonSchemaTicketInternalNotesItems
    TicketsIdGetResponsesContentApplicationJsonSchemaTicket:
      type: object
      properties:
        ticket:
          $ref: >-
            #/components/schemas/TicketsIdGetResponsesContentApplicationJsonSchemaTicketTicket
        messages:
          type: array
          items:
            $ref: >-
              #/components/schemas/TicketsIdGetResponsesContentApplicationJsonSchemaTicketMessagesItems
        internal_notes:
          type: array
          items:
            $ref: >-
              #/components/schemas/TicketsIdGetResponsesContentApplicationJsonSchemaTicketInternalNotesItems
      required:
        - ticket
        - messages
        - internal_notes
      title: TicketsIdGetResponsesContentApplicationJsonSchemaTicket
    tickets_ticket-get_Response_200:
      type: object
      properties:
        ticket:
          $ref: >-
            #/components/schemas/TicketsIdGetResponsesContentApplicationJsonSchemaTicket
      required:
        - ticket
      title: tickets_ticket-get_Response_200
    ErrorBadRequestIssuesItems:
      type: object
      properties:
        message:
          type: string
      required:
        - message
      title: ErrorBadRequestIssuesItems
    error.BAD_REQUEST:
      type: object
      properties:
        message:
          type: string
          description: The error message
        code:
          type: string
          description: The error code
        issues:
          type: array
          items:
            $ref: '#/components/schemas/ErrorBadRequestIssuesItems'
          description: An array of issues that were responsible for the error
      required:
        - message
        - code
      description: The error information
      title: error.BAD_REQUEST
    ErrorUnauthorizedIssuesItems:
      type: object
      properties:
        message:
          type: string
      required:
        - message
      title: ErrorUnauthorizedIssuesItems
    error.UNAUTHORIZED:
      type: object
      properties:
        message:
          type: string
          description: The error message
        code:
          type: string
          description: The error code
        issues:
          type: array
          items:
            $ref: '#/components/schemas/ErrorUnauthorizedIssuesItems'
          description: An array of issues that were responsible for the error
      required:
        - message
        - code
      description: The error information
      title: error.UNAUTHORIZED
    ErrorForbiddenIssuesItems:
      type: object
      properties:
        message:
          type: string
      required:
        - message
      title: ErrorForbiddenIssuesItems
    error.FORBIDDEN:
      type: object
      properties:
        message:
          type: string
          description: The error message
        code:
          type: string
          description: The error code
        issues:
          type: array
          items:
            $ref: '#/components/schemas/ErrorForbiddenIssuesItems'
          description: An array of issues that were responsible for the error
      required:
        - message
        - code
      description: The error information
      title: error.FORBIDDEN
    ErrorNotFoundIssuesItems:
      type: object
      properties:
        message:
          type: string
      required:
        - message
      title: ErrorNotFoundIssuesItems
    error.NOT_FOUND:
      type: object
      properties:
        message:
          type: string
          description: The error message
        code:
          type: string
          description: The error code
        issues:
          type: array
          items:
            $ref: '#/components/schemas/ErrorNotFoundIssuesItems'
          description: An array of issues that were responsible for the error
      required:
        - message
        - code
      description: The error information
      title: error.NOT_FOUND
    ErrorInternalServerErrorIssuesItems:
      type: object
      properties:
        message:
          type: string
      required:
        - message
      title: ErrorInternalServerErrorIssuesItems
    error.INTERNAL_SERVER_ERROR:
      type: object
      properties:
        message:
          type: string
          description: The error message
        code:
          type: string
          description: The error code
        issues:
          type: array
          items:
            $ref: '#/components/schemas/ErrorInternalServerErrorIssuesItems'
          description: An array of issues that were responsible for the error
      required:
        - message
        - code
      description: The error information
      title: error.INTERNAL_SERVER_ERROR
  securitySchemes:
    ApiKeyAuth:
      type: apiKey
      in: header
      name: x-api-key
      description: API key generated from the dashboard (Settings → API Keys).

```

## Examples



**Response**

```json
{
  "ticket": {
    "ticket": {
      "id": "string",
      "subject": "string",
      "status": "open",
      "updated_at": "string",
      "created_at": "string"
    },
    "messages": [
      {
        "id": "string",
        "created_at": "string",
        "ticket_id": "string",
        "author_id": "string",
        "author_name": "string",
        "author_role": "string",
        "body": "string",
        "attachments": [
          {
            "file_name": "string",
            "file_url": "string",
            "mime_type": "string"
          }
        ],
        "is_internal_note": true
      }
    ],
    "internal_notes": [
      {
        "id": "string",
        "message": "string",
        "created_at": "string",
        "author_name": "string"
      }
    ]
  }
}
```

**SDK Code**

```python
import requests

url = "https://api.simjuno.com/v1/tickets/id"

headers = {"x-api-key": "<apiKey>"}

response = requests.get(url, headers=headers)

print(response.json())
```

```javascript
const url = 'https://api.simjuno.com/v1/tickets/id';
const options = {method: 'GET', headers: {'x-api-key': '<apiKey>'}};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go
package main

import (
	"fmt"
	"net/http"
	"io"
)

func main() {

	url := "https://api.simjuno.com/v1/tickets/id"

	req, _ := http.NewRequest("GET", url, nil)

	req.Header.Add("x-api-key", "<apiKey>")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby
require 'uri'
require 'net/http'

url = URI("https://api.simjuno.com/v1/tickets/id")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Get.new(url)
request["x-api-key"] = '<apiKey>'

response = http.request(request)
puts response.read_body
```

```java
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.get("https://api.simjuno.com/v1/tickets/id")
  .header("x-api-key", "<apiKey>")
  .asString();
```

```php
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('GET', 'https://api.simjuno.com/v1/tickets/id', [
  'headers' => [
    'x-api-key' => '<apiKey>',
  ],
]);

echo $response->getBody();
```

```csharp
using RestSharp;

var client = new RestClient("https://api.simjuno.com/v1/tickets/id");
var request = new RestRequest(Method.GET);
request.AddHeader("x-api-key", "<apiKey>");
IRestResponse response = client.Execute(request);
```

```swift
import Foundation

let headers = ["x-api-key": "<apiKey>"]

let request = NSMutableURLRequest(url: NSURL(string: "https://api.simjuno.com/v1/tickets/id")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "GET"
request.allHTTPHeaderFields = headers

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```